org.keycloak.services.x509

## Class DefaultClientCertificateLookup

- java.lang.Object
- - org.keycloak.services.x509.DefaultClientCertificateLookup

- All Implemented Interfaces:
    Provider, X509ClientCertificateLookup

      public class DefaultClientCertificateLookup
      extends Object
      implements X509ClientCertificateLookup

  The provider retrieves a client certificate and the certificate chain (if any) from the incoming TLS connection.
  Since:
    3/26/2017
  Version:
    $Revision: 1 $
  Author:
    Peter Nalyvayko

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JAVAX_SERVLET_REQUEST_X509_CERTIFICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClientCertificateLookup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `X509Certificate[]` | `getCertificateChain(org.jboss.resteasy.spi.HttpRequest httpRequest)` Returns a client certificate, and optionally any certificates in the certificate chain.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVAX_SERVLET_REQUEST_X509_CERTIFICATE

          public static final String JAVAX_SERVLET_REQUEST_X509_CERTIFICATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultClientCertificateLookup

          public DefaultClientCertificateLookup()

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

    - #### getCertificateChain

          public X509Certificate[] getCertificateChain(org.jboss.resteasy.spi.HttpRequest httpRequest)

      Description copied from interface: `X509ClientCertificateLookup`
      Returns a client certificate, and optionally any certificates in the certificate chain.
      Specified by:
        `getCertificateChain` in interface `X509ClientCertificateLookup`
      Returns:

Copyright © 2020 JBoss by Red Hat. All rights reserved.